--- old/usr/src/cmd/Makefile	2017-05-26 19:23:47.864356793 -0400
+++ new/usr/src/cmd/Makefile	2017-05-26 19:23:47.899487292 -0400
@@ -158,7 +158,6 @@
 	fdformat	\
 	fdisk		\
 	ficl		\
-	filesync	\
 	fgrep		\
 	file		\
 	find		\
@@ -574,7 +573,6 @@
 	fcinfo		\
 	fgrep		\
 	file		\
-	filesync	\
 	find		\
 	flowadm		\
 	flowstat	\
--- old/usr/src/cmd/cmd-inet/usr.bin/Makefile	2017-05-26 19:23:50.646205766 -0400
+++ new/usr/src/cmd/cmd-inet/usr.bin/Makefile	2017-05-26 19:23:50.699350465 -0400
@@ -26,7 +26,7 @@
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
 
-PROG=		finger rdate ruptime rwho whois
+PROG=		finger rdate whois
 SUIDPROG=	rcp rlogin rsh
 ALL=		$(PROG) $(SUIDPROG)
 SRCS=		$(ALL:%=%.c)
@@ -39,7 +39,7 @@
 
 # As programs get lint-clean, add them here.  Eventually.
 # This hack should go away, and all in PROG should be lint-clean.
-LINTCLEAN=	rlogin.c rsh.c rcp.c rdate.c rwho.c whois.c
+LINTCLEAN=	rlogin.c rsh.c rcp.c rdate.c whois.c
 
 # Likewise, as subdirs get lint-clean, add them here.  Once
 # they're all clean, replace the dependency of the lint target
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2017-05-26 19:23:52.329573025 -0400
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	2017-05-26 19:23:52.375523318 -0400
@@ -28,7 +28,7 @@
 
 PROG=		6to4relay arp if_mpadm \
 		in.comsat in.fingerd in.rarpd in.rexecd in.rlogind \
-		in.rshd in.rwhod in.telnetd in.tftpd ipaddrsel \
+		in.rshd in.telnetd in.tftpd ipaddrsel \
 		ndd ndp $(SYNCPROG) wanbootutil
 
 MANIFEST=	rarp.xml telnet.xml comsat.xml finger.xml \
@@ -43,9 +43,9 @@
 PAMPROG=	in.rexecd in.rlogind in.rshd in.telnetd
 SOCKETPROG=	6to4relay arp hostconfig if_mpadm in.comsat \
 		in.fingerd in.rarpd in.rexecd in.rlogind in.rshd \
-		in.rwhod in.telnetd in.tftpd ipaddrsel ndp route
+		in.telnetd in.tftpd ipaddrsel ndp route
 NSLPROG=	6to4relay arp hostconfig in.comsat in.rarpd \
-		in.rexecd in.rlogind in.rshd in.rwhod in.telnetd \
+		in.rexecd in.rlogind in.rshd in.telnetd \
 		in.tftpd ipaddrsel ndp route
 CMDPROG=	in.telnetd
 K5PROGS=	in.telnetd in.rlogind in.rshd
--- old/usr/src/cmd/dtrace/test/tst/common/mib/tst.udp.ksh	2017-05-26 19:23:53.900941907 -0400
+++ new/usr/src/cmd/dtrace/test/tst/common/mib/tst.udp.ksh	2017-05-26 19:23:53.990198766 -0400
@@ -23,7 +23,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 #
 # This script tests that several of the the mib:::udp* probes fire and fire
@@ -50,10 +49,10 @@
 EOF
 }
 
-rupper()
+udpper()
 {
 	while true; do
-		rup localhost
+		showmount localhost >/dev/null 2>&1
 		/usr/bin/sleep 1
 	done
 }
@@ -65,10 +64,10 @@
 
 dtrace=$1
 
-rupper &
-rupper=$!
+udpper &
+udpper=$!
 script
 status=$?
 
-kill $rupper
+kill $udpper
 exit $status
--- old/usr/src/cmd/rpcsvc/Makefile	2017-05-26 19:24:01.478373741 -0400
+++ new/usr/src/cmd/rpcsvc/Makefile	2017-05-26 19:24:01.533845037 -0400
@@ -27,81 +27,20 @@
 
 PROTOCOL_DIR= $(ROOT)/usr/include/rpcsvc
 
-BINPROG= rusers rup
-SBINPROG= rwall spray
-RPROG= rpc.rusersd
-SPROG= rpc.sprayd
-WPROG= rpc.rwalld
-TPROG= rpc.rstatd
-
-PROG= $(BINPROG) $(SBINPROG) $(RPROG) $(SPROG) $(WPROG) $(TPROG)
-
-MANIFEST= \
-	rusers.xml \
-	spray.xml \
-	wall.xml \
-	rstat.xml
-
-SVCMETHOD=
-
-SCLNTOBJS= spray.o spray_clnt.o
-SSVCOBJS= spray_subr.o spray_svc.o
-WCLNTOBJS = rwall.o rwall_clnt.o
-WSVCOBJS= rwall_subr.o rwall_svc.o
-TSVCOBJS= rstat_main.o rstat_proc.o rstat_svc.o rstat_v2_svc.o rstat_v2_xdr.o
-
-DERIVED_FILES = rstat.x rstat.h rstat_svc.c rstat_v2.h rstat_v2_svc.c \
-		rstat_v2_xdr.c spray.x spray.h spray_clnt.c spray_svc.c \
-		rwall.x rwall.h rwall_svc.c rwall_clnt.c
-
 include ../Makefile.cmd
 
-ROOTMANIFESTDIR=	$(ROOTSVCNETWORKRPC)
-
-CPPFLAGS= -I. $(CPPFLAGS.master)
-CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-extra
-CERRWARN += -_gcc=-Wno-unused-function
-LDLIBS += -lnsl
-rusers :=	CFLAGS += $(CCVERBOSE)
-$(BINPROG) :=	LDLIBS += -lrpcsvc
-$(RPROG) :=	LDLIBS += -lrpcsvc
-$(SPROG) :=	LDLIBS += -lrpcsvc
-$(TPROG) :=	LDLIBS += -lrpcsvc
-spray :=	LDLIBS += -lrpcsvc
-
-
 SUBDIRS= rpc.bootparamd
-OBJS= $(SCLNTOBJS) $(SSVCOBJS) $(WCLNTOBJS) $(WSVCOBJS) $(TSVCOBJS)
-SRCS= $(OBJS:%.o=%.c) rusers.c rpc.rusersd.c rup.c
-
 ETCFILES= rpc
 
 TXTS= $(ETCFILES:%=net_files/%)
 
 NETSVC=	$(ROOTLIB)/netsvc
 NIS = $(NETSVC)/nis
-RWALL= $(NETSVC)/rwall
-RUSERS= $(NETSVC)/rusers
-SPRAY= $(NETSVC)/spray
-RSTAT= $(NETSVC)/rstat
 
 ROOTDIRS= \
 		$(NETSVC) \
 		$(NIS) \
-		$(RWALL) \
-		$(RUSERS) \
-		$(SPRAY) \
-		$(RSTAT)
-
-IBINPROG=		$(BINPROG:%=$(ROOTBIN)/%)
-ISBINPROG=		$(SBINPROG:%=$(ROOTUSRSBIN)/%)
-IWPROG=			$(WPROG:%=$(RWALL)/%)
-ISPROG=			$(SPROG:%=$(SPRAY)/%)
-IRPROG=			$(RPROG:%=$(RUSERS)/%)
-ITPROG=			$(TPROG:%=$(RSTAT)/%)
+
 IETCFILES=		$(ETCFILES:%=$(ROOTETC)/%)
 
 # non-default file attributes
@@ -113,57 +52,16 @@
 clobber:=	TARGET= clobber
 lint:=		TARGET= lint
 
-rpc.rstatd:=	LDLIBS += -lkstat
-rwall:=		CPPFLAGS += -D_REENTRANT
-rpc.rwalld:=	CPPFLAGS += -D_REENTRANT
-
 # install rules
 
-$(RWALL)/% $(SPRAY)/% $(RUSERS)/% $(RSTAT)/%: %
-	$(INS.file)
-
 $(ROOTETC)/%: ./net_files/%
 	$(INS.file)
 
 .KEEP_STATE:
 
-all: $(PROG) $(TXTS) $(SUBDIRS)
-
-# multi-object targets
-#
-spray:	$(SCLNTOBJS)
-	$(LINK.c) $(SCLNTOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-spray_svc.o spray_clnt.o: spray.h
-
-rpc.sprayd: $(SSVCOBJS)
-	$(LINK.c) $(SSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rwall_svc.o rwall_clnt.o: rwall.h
-
-rwall: $(WCLNTOBJS)
-	$(LINK.c) $(WCLNTOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rpc.rwalld: $(WSVCOBJS)
-	$(LINK.c) $(WSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-rstat_main.o:	rstat.h rstat_v2.h
-
-rstat_svc.o: rstat.h
+all: $(TXTS) $(SUBDIRS)
 
-rstat_V2_svc.o rstat_V2_xdr.o: rstat_v2.h
-
-rpc.rstatd: $(TSVCOBJS)
-	$(LINK.c) $(TSVCOBJS) -o $@ $(LDLIBS)
-	$(POST_PROCESS)
-
-install: $(PROG) $(TXTS) .WAIT $(ROOTDIRS) .WAIT $(IBINPROG) $(ISBINPROG) \
-	$(IWPROG) $(ISPROG) $(IRPROG) $(ITPROG) $(IETCFILES) $(SUBDIRS) \
-	$(ROOTMANIFEST) $(ROOTSVCMETHOD)
+install: $(TXTS) .WAIT $(ROOTDIRS) .WAIT $(IETCFILES) $(SUBDIRS)
 
 $(ROOTDIRS):
 	$(INS.dir)
@@ -171,69 +69,13 @@
 $(SUBDIRS): FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
-#
-# Derived files
-#
-
-rstat.x: $(PROTOCOL_DIR)/rstat.x
-	$(RM) rstat.x
-	$(CP) $(PROTOCOL_DIR)/rstat.x rstat.x
-
-rstat.h: $(PROTOCOL_DIR)/rstat.h
-	$(RM) rstat.h
-	$(CP) $(PROTOCOL_DIR)/rstat.h rstat.h
-
-rstat_svc.c: rstat.x
-	$(RPCGEN) -C -m rstat.x > $@
-
-rstat_v2.h: rstat_v2.x
-	$(RPCGEN) -C -h rstat_v2.x > $@
-
-rstat_v2_svc.c: rstat_v2.x
-	$(RPCGEN) -C -m rstat_v2.x > $@
-
-rstat_v2_xdr.c: rstat_v2.x
-	$(RPCGEN) -c rstat_v2.x > $@
-
-spray.x: $(PROTOCOL_DIR)/spray.x
-	$(RM) spray.x
-	$(CP) $(PROTOCOL_DIR)/spray.x spray.x
-
-spray.h: $(PROTOCOL_DIR)/spray.h
-	$(RM) spray.h
-	$(CP) $(PROTOCOL_DIR)/spray.h spray.h
-
-spray_svc.c: spray.x
-	$(RPCGEN) -s datagram_v -s circuit_v spray.x > $@
-
-spray_clnt.c: spray.x
-	$(RPCGEN) -l spray.x > $@
-
-rwall.x: $(PROTOCOL_DIR)/rwall.x
-	$(RM) rwall.x
-	$(CP) $(PROTOCOL_DIR)/rwall.x rwall.x
-
-rwall.h: $(PROTOCOL_DIR)/rwall.h
-	$(RM) rwall.h
-	$(CP) $(PROTOCOL_DIR)/rwall.h rwall.h
-
-rwall_svc.c: rwall.x
-	$(RPCGEN) -A -s datagram_v rwall.x > $@
-
-rwall_clnt.c: rwall.x
-	$(RPCGEN) -l -M rwall.x > $@
-
-check:	$(CHKMANIFEST)
+check:
 
 clean: $(SUBDIRS)
-	-$(RM) $(OBJS) $(DERIVED_FILES)
 
 clobber: $(SUBDIRS)
 
 lint:
-	$(LINT.c) $(WCLNTOBJS:%.o=%.c) -lnsl -lrpcsvc
-	$(LINT.c) $(WSVCOBJS:%.o=%.c) -lnsl -lrpcsvc
-	$(LINT.c) rusers.c -lnsl -lrpcsvc
 
 FRC:
 
--- old/usr/src/head/Makefile	2017-05-26 19:24:09.604976658 -0400
+++ new/usr/src/head/Makefile	2017-05-26 19:24:09.650503864 -0400
@@ -306,7 +306,7 @@
 
 RPCSVCHDRS= $(RPCSVC_SRC_HDRS) $(RPCSVC_GEN_HDRS)
 
-PROTOHDRS=   dumprestore.h routed.h ripngd.h rwhod.h timed.h
+PROTOHDRS=   dumprestore.h routed.h ripngd.h timed.h
 
 ROOTHDRS= $(HDRS:%=$(ROOT)/usr/include/%)  \
 	$(KRB5HDRS:%=$(ROOT)/usr/include/kerberosv5/%)  \
--- old/usr/src/man/man1/Makefile	2017-05-26 19:24:10.995291721 -0400
+++ new/usr/src/man/man1/Makefile	2017-05-26 19:24:11.031004612 -0400
@@ -131,7 +131,6 @@
 	 	fdformat.1			\
 	 	fgrep.1				\
 	 	file.1				\
-	 	filesync.1			\
 	 	find.1				\
 	 	finger.1			\
 	 	fmt.1				\
@@ -323,10 +322,6 @@
 	 	rpcgen.1			\
 	 	rsh.1				\
 	 	runat.1				\
-	 	rup.1				\
-	 	ruptime.1			\
-	 	rusers.1			\
-	 	rwho.1				\
 	 	sar.1				\
 	 	script.1			\
 	 	sdiff.1				\
--- old/usr/src/man/man1c/Makefile	2017-05-26 19:24:13.891250683 -0400
+++ new/usr/src/man/man1c/Makefile	2017-05-26 19:24:13.951919806 -0400
@@ -20,7 +20,6 @@
 
 MANFILES= 	ct.1c		\
 		cu.1c		\
-		rup.1c		\
 		uucp.1c		\
 		uuencode.1c	\
 		uuglist.1c	\
--- old/usr/src/man/man1m/Makefile	2017-05-26 19:24:15.435809854 -0400
+++ new/usr/src/man/man1m/Makefile	2017-05-26 19:24:15.480710321 -0400
@@ -201,7 +201,6 @@
 		in.rlogind.1m		\
 		in.routed.1m		\
 		in.rshd.1m		\
-		in.rwhod.1m		\
 		in.talkd.1m		\
 		in.telnetd.1m		\
 		in.tftpd.1m		\
@@ -409,11 +408,7 @@
 		route.1m		\
 		routeadm.1m		\
 		rpc.bootparamd.1m	\
-		rpc.rstatd.1m		\
-		rpc.rusersd.1m		\
-		rpc.rwalld.1m		\
 		rpc.smserverd.1m	\
-		rpc.sprayd.1m		\
 		rpc.yppasswdd.1m	\
 		rpc.ypupdated.1m	\
 		rpcbind.1m		\
@@ -423,7 +418,6 @@
 		rtc.1m			\
 		rtquery.1m		\
 		runacct.1m		\
-		rwall.1m		\
 		sac.1m			\
 		sacadm.1m		\
 		saf.1m			\
@@ -456,7 +450,6 @@
 		snoop.1m		\
 		soconfig.1m		\
 		sppptun.1m		\
-		spray.1m		\
 		statd.1m		\
 		stmfadm.1m		\
 		stmsboot.1m		\
@@ -609,15 +602,10 @@
 		rlogind.1m			\
 		routed.1m			\
 		rshd.1m				\
-		rstatd.1m			\
-		rusersd.1m			\
-		rwalld.1m			\
-		rwhod.1m			\
 		sa1.1m				\
 		sa2.1m				\
 		sadc.1m				\
 		shutacct.1m			\
-		sprayd.1m			\
 		startup.1m			\
 		talkd.1m			\
 		telinit.1m			\
@@ -722,10 +710,6 @@
 quotaoff.1m			:= LINKSRC = quotaon.1m
 
 bootparamd.1m			:= LINKSRC = rpc.bootparamd.1m
-rstatd.1m			:= LINKSRC = rpc.rstatd.1m
-rusersd.1m			:= LINKSRC = rpc.rusersd.1m
-rwalld.1m			:= LINKSRC = rpc.rwalld.1m
-sprayd.1m			:= LINKSRC = rpc.sprayd.1m
 yppasswdd.1m			:= LINKSRC = rpc.yppasswdd.1m
 ypupdated.1m			:= LINKSRC = rpc.ypupdated.1m
 
--- old/usr/src/man/man3rpc/Makefile	2017-05-26 19:24:19.122636996 -0400
+++ new/usr/src/man/man3rpc/Makefile	2017-05-26 19:24:19.166786329 -0400
@@ -20,7 +20,8 @@
 
 MANFILES= 	rstat.3rpc	\
 	 	rusers.3rpc	\
-	 	rwall.3rpc
+	 	rwall.3rpc	\
+		spray.3rpc
 
 MANLINKS=	havedisk.3rpc	\
 		rnusers.3rpc
--- old/usr/src/man/man3rpc/rstat.3rpc	2017-05-26 19:24:20.058098425 -0400
+++ new/usr/src/man/man3rpc/rstat.3rpc	2017-05-26 19:24:20.092636979 -0400
@@ -22,11 +22,9 @@
 .fi
 
 .SH PROTOCOL
-.sp
 .LP
 \fB/usr/include/rpcsvc/rstat.x\fR
 .SH DESCRIPTION
-.sp
 .LP
 These routines require that the \fBrpc.rstatd\fR(1M) daemon be configured and
 available on the remote system indicated by \fIhost\fR. The \fBrstat()\fR
@@ -56,7 +54,6 @@
 .sp
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
@@ -72,7 +69,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBrup\fR(1), \fBrpc.rstatd\fR(1M), \fBrpc_clnt_calls\fR(3NSL),
-\fBattributes\fR(5)
+\fBrpc_clnt_calls\fR(3NSL), \fBattributes\fR(5)
--- /dev/null	2017-05-26 19:24:18.000000000 -0400
+++ new/usr/src/man/man3rpc/spray.3rpc	2017-05-26 19:24:21.618215392 -0400
@@ -0,0 +1,142 @@
+'\" te
+.\"  Copyright 1989 AT&T  Copyright (c) 1997, Sun Microsystems, Inc.  All Rights Reserved
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH SPRAY 3RPC "Apr 13, 2017"
+.SH NAME
+spray \- scatter data in order to test the network
+.SH SYNOPSIS
+.LP
+.nf
+\fBcc\fR [ \fIflag\fR ... ] \fIfile\fR ... \fB-lsocket\fR \fB-lnsl\fR \
+\fB-lrpcsvc\fR [ \fIlibrary\fR ... ]
+#include <rpcsvc/spray.h>
+
+\fBbool_t\fR \fBxdr_sprayarr\fR(\fBXDR *\fR\fIxdrs\fR, \fBsprayarr *\fR\fIobjp\fR);
+.fi
+
+.LP
+.nf
+\fBbool_t\fR \fBxdr_spraycumul\fR(\fBXDR *\fR\fIxdrs\fR, \fBspraycumul *\fR\fIobjp\fR);
+.fi
+
+.SH DESCRIPTION
+.LP
+The spray program sends packets to a given machine to test communications with
+that machine.
+.sp
+.LP
+The spray program is not a C function interface, per se, but it can be accessed
+using the generic remote procedure calling interface \fBclnt_call()\fR. See
+\fBrpc_clnt_calls\fR(3NSL). The program sends a packet to the called host. The
+host acknowledges receipt of the packet. The program counts the number of
+acknowledgments and can return that count.
+.sp
+.LP
+The spray program currently supports the following procedures, which should be
+called in the order given:
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_CLEAR\fR\fR
+.ad
+.RS 19n
+This procedure clears the counter.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_SPRAY\fR\fR
+.ad
+.RS 19n
+This procedure sends the packet.
+.RE
+
+.sp
+.ne 2
+.na
+\fB\fBSPRAYPROC_GET\fR\fR
+.ad
+.RS 19n
+This procedure returns the count and the amount of time since the last
+\fBSPRAYPROC_CLEAR\fR.
+.RE
+
+.SH EXAMPLES
+.LP
+\fBExample 1 \fRUsing \fBspray()\fR
+.sp
+.LP
+The following code fragment demonstrates how the spray program is used:
+
+.sp
+.in +2
+.nf
+#include <rpc/rpc.h>
+#include <rpcsvc/spray.h>
+ .  .  .
+	spraycumul	spray_result;
+	sprayarr	spray_data;
+	char		buf[100];		/* arbitrary data */
+	int		loop = 1000;
+	CLIENT	*clnt;
+	struct timeval timeout0 = {0, 0};
+	struct timeval timeout25 = {25, 0};
+	spray_data.sprayarr_len = (uint_t)100;
+	spray_data.sprayarr_val = buf;
+	clnt = clnt_create("somehost", SPRAYPROG, SPRAYVERS, "netpath");
+	if (clnt == (CLIENT *)NULL) {
+		/* handle this error */
+	}
+	if (clnt_call(clnt, SPRAYPROC_CLEAR,
+		xdr_void, NULL, xdr_void, NULL, timeout25)) {
+			/* handle this error */
+	}
+	while (loop\(mi > 0) {
+		if (clnt_call(clnt, SPRAYPROC_SPRAY,
+			xdr_sprayarr, &spray_data, xdr_void, NULL, timeout0)) {
+				/* handle this error */
+		}
+	}
+	if (clnt_call(clnt, SPRAYPROC_GET,
+		xdr_void, NULL, xdr_spraycumul, &spray_result, timeout25)) {
+			/* handle this error */
+	}
+	printf("Acknowledged %ld of 1000 packets in %d secs %d usecs\en",
+		spray_result.counter,
+		spray_result.clock.sec,
+		spray_result.clock.usec);
+.fi
+.in -2
+
+.SH ATTRIBUTES
+.LP
+See \fBattributes\fR(5) for descriptions of the following attributes:
+.sp
+
+.sp
+.TS
+box;
+c | c
+l | l .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
+MT-Level	Unsafe
+.TE
+
+.SH SEE ALSO
+.LP
+\fBrpc_clnt_calls\fR(3NSL), \fBattributes\fR(5)
+.SH NOTES
+.LP
+This interface is unsafe in multithreaded applications.  Unsafe interfaces
+should be called only from the main thread.
+.sp
+.LP
+A spray program is not useful as a networking benchmark as it uses  unreliable
+connectionless transports, for example, udp. It can report a large number of
+packets dropped, when the drops were caused by the program sending packets
+faster than they can be buffered locally, that is, before the packets get to
+the network medium.
--- old/usr/src/man/man3socket/Makefile	2017-05-26 19:24:23.173727415 -0400
+++ new/usr/src/man/man3socket/Makefile	2017-05-26 19:24:23.216778429 -0400
@@ -55,8 +55,7 @@
 		sockaddr.3socket	\
 		shutdown.3socket	\
 		socket.3socket		\
-		socketpair.3socket	\
-		spray.3socket
+		socketpair.3socket
 
 MANLINKS=	accept4.3socket			\
 		endnetent.3socket		\
--- old/usr/src/man/man4/Makefile	2017-05-26 19:24:24.282415932 -0400
+++ new/usr/src/man/man4/Makefile	2017-05-26 19:24:24.316428993 -0400
@@ -133,7 +133,6 @@
 		nsmbrc.4			\
 		nss.4				\
 		nsswitch.conf.4			\
-		packingrules.4			\
 		pam.conf.4			\
 		passwd.4			\
 		path_to_inst.4			\
--- old/usr/src/pkg/manifests/SUNWcs.man4.inc	2017-05-26 19:24:25.619677084 -0400
+++ new/usr/src/pkg/manifests/SUNWcs.man4.inc	2017-05-26 19:24:25.654714679 -0400
@@ -70,7 +70,6 @@
 file path=usr/share/man/man4/notrouter.4
 file path=usr/share/man/man4/nscd.conf.4
 file path=usr/share/man/man4/nsswitch.conf.4
-file path=usr/share/man/man4/packingrules.4
 file path=usr/share/man/man4/pam.conf.4
 file path=usr/share/man/man4/passwd.4
 file path=usr/share/man/man4/phones.4
--- old/usr/src/pkg/manifests/compatibility-ucb.mf	2017-05-26 19:24:26.587459883 -0400
+++ new/usr/src/pkg/manifests/compatibility-ucb.mf	2017-05-26 19:24:26.631479797 -0400
@@ -199,8 +199,6 @@
 link path=usr/ucb/reset target=./tset
 link path=usr/ucb/rlogin target=../bin/rlogin
 link path=usr/ucb/rsh target=../bin/rsh
-link path=usr/ucb/ruptime target=../bin/ruptime
-link path=usr/ucb/rwho target=../bin/rwho
 link path=usr/ucb/script target=../bin/script
 link path=usr/ucb/tail target=../bin/tail
 link path=usr/ucb/talk target=../bin/talk
--- /dev/null	2017-05-26 19:24:27.000000000 -0400
+++ new/usr/src/pkg/manifests/diagnostic-snoop.mf	2017-05-26 19:24:27.578647455 -0400
@@ -0,0 +1,22 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/diagnostic/snoop@$(PKGVERS)
+set name=pkg.summary value="snoop network traffic monitor"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Applications/Internet
+set name=variant.arch value=$(ARCH)
+file path=usr/sbin/snoop mode=0555
+file path=usr/share/man/man1m/snoop.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
--- /dev/null	2017-05-26 19:24:28.000000000 -0400
+++ new/usr/src/pkg/manifests/network-finger.mf	2017-05-26 19:24:28.036043234 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/finger@$(PKGVERS)
+set name=pkg.summary value="finger user information client/server"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=lib/svc/manifest/network/finger.xml group=sys mode=0444
+file path=usr/bin/finger mode=0555
+file path=usr/sbin/in.fingerd mode=0555
+file path=usr/share/man/man1/finger.1
+file path=usr/share/man/man1m/in.fingerd.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+link path=usr/share/man/man1m/fingerd.1m target=in.fingerd.1m
--- /dev/null	2017-05-26 19:24:28.000000000 -0400
+++ new/usr/src/pkg/manifests/network-rdist.mf	2017-05-26 19:24:28.543942616 -0400
@@ -0,0 +1,27 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/rdist@$(PKGVERS)
+set name=pkg.summary value="file distribution and synchronization service"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=org.opensolaris.noincorp value=true
+set name=variant.arch value=$(ARCH)
+file path=usr/bin/rdist mode=4555
+file path=usr/share/man/man1/rdist.1
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
+    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
+license usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE \
+    license=usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE
--- /dev/null	2017-05-26 19:24:29.000000000 -0400
+++ new/usr/src/pkg/manifests/network-rsh.mf	2017-05-26 19:24:29.099577976 -0400
@@ -0,0 +1,60 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/network/rsh@$(PKGVERS)
+set name=pkg.description \
+    value="Berkeley Remote Shell Commands (rsh, rlogin, rcp, rdate, rmt)"
+set name=pkg.summary value="Berkeley Remote Shell Client Commands"
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=usr group=sys
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/sbin
+dir path=usr/share/man/man1
+dir path=usr/share/man/man1m
+file path=usr/bin/rcp mode=4555
+file path=usr/bin/rdate mode=0555
+file path=usr/bin/rlogin mode=4555
+file path=usr/bin/rsh mode=4555
+file path=usr/sbin/rmt mode=0555
+file path=usr/share/man/man1/rcp.1
+file path=usr/share/man/man1/rlogin.1
+file path=usr/share/man/man1/rsh.1
+file path=usr/share/man/man1m/rdate.1m
+file path=usr/share/man/man1m/rmt.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
+    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh
+link path=usr/bin/remsh target=./rsh
+link path=usr/lib/sunw,rcp target=../bin/rcp
+link path=usr/share/man/man1/remote_shell.1 target=rsh.1
+link path=usr/share/man/man1/remsh.1 target=rsh.1
--- /dev/null	2017-05-26 19:24:29.000000000 -0400
+++ new/usr/src/pkg/manifests/network-talk.mf	2017-05-26 19:24:29.565239465 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/talk@$(PKGVERS)
+set name=pkg.summary value="Berkeley network talk"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=lib/svc/manifest/network/talk.xml group=sys mode=0444
+file path=usr/bin/talk mode=0555
+file path=usr/sbin/in.talkd mode=0555
+file path=usr/share/man/man1/talk.1
+file path=usr/share/man/man1m/in.talkd.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+link path=usr/share/man/man1m/talkd.1m target=in.talkd.1m
--- /dev/null	2017-05-26 19:24:30.000000000 -0400
+++ new/usr/src/pkg/manifests/network-whois.mf	2017-05-26 19:24:30.023321411 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/whois@$(PKGVERS)
+set name=pkg.summary value="WHOIS protocol client"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=usr/bin/whois mode=0555
+file path=usr/share/man/man1/whois.1
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois
+
+
--- old/usr/src/pkg/manifests/service-network-legacy.mf	2017-05-26 19:24:30.458857481 -0400
+++ new/usr/src/pkg/manifests/service-network-legacy.mf	2017-05-26 19:24:30.493452274 -0400
@@ -25,9 +25,9 @@
 
 set name=pkg.fmri value=pkg:/service/network/legacy@$(PKGVERS)
 set name=pkg.description \
-    value="Common Network Services: time, daytime, echo, discard, chargen"
+    value="Common Network Services: time, daytime, echo, discard, chargen, comsat"
 set name=pkg.summary \
-    value="Common Network Services: time, daytime, echo, discard, chargen"
+    value="Common Network Services: time, daytime, echo, discard, chargen, comsat"
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Services
 set name=variant.arch value=$(ARCH)
@@ -40,6 +40,7 @@
 dir path=usr/lib/inet
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/network/chargen.xml group=sys mode=0444
+file path=lib/svc/manifest/network/comsat.xml group=sys mode=0444
 file path=lib/svc/manifest/network/daytime.xml group=sys mode=0444
 file path=lib/svc/manifest/network/discard.xml group=sys mode=0444
 file path=lib/svc/manifest/network/echo.xml group=sys mode=0444
@@ -49,7 +50,9 @@
 file path=usr/lib/inet/in.discardd mode=0555
 file path=usr/lib/inet/in.echod mode=0555
 file path=usr/lib/inet/in.timed mode=0555
+file path=usr/sbin/in.comsat mode=0555
 file path=usr/share/man/man1m/in.chargend.1m
+file path=usr/share/man/man1m/in.comsat.1m
 file path=usr/share/man/man1m/in.daytimed.1m
 file path=usr/share/man/man1m/in.discardd.1m
 file path=usr/share/man/man1m/in.echod.1m
@@ -62,3 +65,6 @@
     name="Common Network Services (Usr): time, daytime, echo, discard, chargen"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat \
+    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat
+link path=usr/share/man/man1m/comsat.1m target=in.comsat.1m
--- old/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:24:31.397138095 -0400
+++ new/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:24:31.431676126 -0400
@@ -25,61 +25,9 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/network-clients@$(PKGVERS)
-set name=pkg.description \
-    value="Remote Network Client Commands (rsh, rlogin, rcp, rsh, ...)"
-set name=pkg.summary value="Remote Network Client Commands"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=pkg.renamed value=true
 set name=variant.arch value=$(ARCH)
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/sbin
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-file path=usr/bin/filesync mode=0555
-file path=usr/bin/rcp mode=4555
-file path=usr/bin/rdate mode=0555
-file path=usr/bin/rdist mode=4555
-file path=usr/bin/rlogin mode=4555
-file path=usr/bin/rsh mode=4555
-file path=usr/bin/rup mode=0555
-file path=usr/bin/ruptime mode=0555
-file path=usr/bin/rusers mode=0555
-file path=usr/bin/whois mode=0555
-file path=usr/sbin/rmt mode=0555
-file path=usr/sbin/rwall mode=0555
-file path=usr/sbin/snoop mode=0555
-file path=usr/sbin/spray mode=0555
-file path=usr/share/man/man1/filesync.1
-file path=usr/share/man/man1/rcp.1
-file path=usr/share/man/man1/rdist.1
-file path=usr/share/man/man1/rlogin.1
-file path=usr/share/man/man1/rsh.1
-file path=usr/share/man/man1/rup.1
-file path=usr/share/man/man1/ruptime.1
-file path=usr/share/man/man1/rusers.1
-file path=usr/share/man/man1/whois.1
-file path=usr/share/man/man1m/rdate.1m
-file path=usr/share/man/man1m/rmt.1m
-file path=usr/share/man/man1m/rwall.1m
-file path=usr/share/man/man1m/snoop.1m
-file path=usr/share/man/man1m/spray.1m
-legacy pkg=SUNWrcmdc \
-    desc="Remote Network Client Commands (rsh, rlogin, rcp, rsh, ...)" \
-    name="Remote Network Client Commands"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
-    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois
-license usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE \
-    license=usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE
-link path=usr/bin/remsh target=./rsh
-link path=usr/lib/sunw,rcp target=../bin/rcp
-link path=usr/share/man/man1/remote_shell.1 target=rsh.1
-link path=usr/share/man/man1/remsh.1 target=rsh.1
+depend fmri=diagnostic/snoop type=require
+depend fmri=network/rdist type=require
+depend fmri=network/rsh type=require
+depend fmri=network/whois type=require
